[Lldb-commits] [lldb] r196413 - Patch from Todd Fiala that install the lldb.py module in the prefix directory and also makes install fail if the prefix directory can't be accessed
Greg Clayton
gclayton at apple.com
Wed Dec 4 13:27:40 PST 2013
Author: gclayton
Date: Wed Dec 4 15:27:40 2013
New Revision: 196413
URL: http://llvm.org/viewvc/llvm-project?rev=196413&view=rev
Log:
Patch from Todd Fiala that install the lldb.py module in the prefix directory and also makes install fail if the prefix directory can't be accessed
Modified:
lldb/trunk/scripts/finish-swig-wrapper-classes.sh
lldb/trunk/source/Interpreter/Makefile
Modified: lldb/trunk/scripts/finish-swig-wrapper-classes.sh
URL: http://llvm.org/viewvc/llvm-project/lldb/trunk/scripts/finish-swig-wrapper-classes.sh?rev=196413&r1=196412&r2=196413&view=diff
==============================================================================
--- lldb/trunk/scripts/finish-swig-wrapper-classes.sh (original)
+++ lldb/trunk/scripts/finish-swig-wrapper-classes.sh Wed Dec 4 15:27:40 2013
@@ -89,6 +89,11 @@ do
./finish-swig-${curlang}-LLDB.sh $SRC_ROOT $TARGET_DIR $CONFIG_BUILD_DIR "${PREFIX}" "${debug_flag}" "${makefile_flag}"
+ retval=$?
+ if [ $retval -ne 0 ]; then
+ echo "$(pwd)/finish-swig-${curlang}-LLDB.sh failed with exit code $retval"
+ exit $retval
+ fi
fi
fi
done
Modified: lldb/trunk/source/Interpreter/Makefile
URL: http://llvm.org/viewvc/llvm-project/lldb/trunk/source/Interpreter/Makefile?rev=196413&r1=196412&r2=196413&view=diff
==============================================================================
--- lldb/trunk/source/Interpreter/Makefile (original)
+++ lldb/trunk/source/Interpreter/Makefile Wed Dec 4 15:27:40 2013
@@ -35,7 +35,7 @@ LLDBWrapPython.cpp lldb.py: $(PROJ_SRC_D
install-local:: lldb.py
$(Echo) Installing $(BuildMode) LLDB python modules
- $(Verb) "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/finish-swig-wrapper-classes.sh" "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)" "$(PROJ_OBJ_DIR)" "$(PROJ_OBJ_DIR)" "" -m
+ $(Verb) "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/finish-swig-wrapper-classes.sh" "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)" "$(PROJ_OBJ_DIR)" "$(PROJ_OBJ_DIR)" "$(prefix)" -m
clean-local::
$(Verb) $(RM) -f LLDBWrapPython.cpp lldb.py
More information about the lldb-commits
mailing list